Subject: bug#64174: 30.0.50; Emacs for Android: support tool-bar-position frame parameter

From: Po Lu <[email-masked]>
Date: Tue, 20 Jun 2023 09:00:36 +0800

Ant <[email-masked]> writes:

> I know that the Android native build of Emacs is still in an early
> stage. I just want to address this little feature request since I
> believe that allowing the tool-bar to be on bottom position would be
> useful on small touch screen devices, since it would be easier for the
> thumbs to reach those buttons.
>
> Currently, if I evaluate the following expression on Emacs for Android:
>
> (set-frame-parameter nil 'tool-bar-position 'bottom)
>
> nothing happens.
>
> Thank you in advance

Thanks.  This isn't specific to the Android port: we use the generic
internal tool bar code used outside NS and GTK, which doesn't support
tool-bar-position.

I will look into this.